%define name dhcdbd
%define version 1.15
%define release %mkrel 4

Summary: DHCP D-BUS daemon (dhcdbd)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: dhcdbd.init
# (fc) 1.15-4mdv don't use deprecated dbus api
Patch0: dhcdbd-1.15-deprecated.patch.bz2
License: GPL
Group: System/Configuration/Networking
Url: http://people.redhat.com/jvdias/dhcdbd/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-devel
Requires: dhcp-client
Requires(post): rpm-helper
Requires(preun): rpm-helper


%description
DHCP D-BUS daemon (dhcdbd) controls dhclient sessions with D-BUS,
stores and presents DHCP options.

%prep
%setup -q
%patch0 -p1 -b .deprecated

%build
%make DBUS_INCLUDES="$(pkg-config dbus-1 --cflags)"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d $RPM_BUILD_ROOT%{_initrddir}
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc CHANGES README
/sbin/dhcdbd
%{_initrddir}/%{name}
%{_sysconfdir}/dbus-1/system.d/dhcdbd.conf
%{_datadir}/dbus-1/services/dhcdbd.service

%changelog
* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15-4mdv2007.0
- Patch0: don't use deprecated dbus API

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 1.15-3mdv2007.0
- require dhcp-client, not dhclient

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 1.15-2mdv2007.0
- add initscript (from Fedora)
- require dhclient

* Tue Jul 18 2006 Olivier Blin <blino@mandriva.com> 1.15-1mdv2007.0
- initial Mandriva release (unreleased version from Fedora package)
